Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStSubtreeXOver< FType, Node > Class Template Reference
[StParseTree]

eoStSubtreeXOver --> subtree xover for strongly typed tree-based genetic programming More...

`#include <gp/eoStParseTreeOp.h>`

Inheritance diagram for eoStSubtreeXOver< FType, Node >:

List of all members.

## Public Types
typedef eoParseTree< FType, Node > | EoType
## Public Member Functions
| eoStSubtreeXOver (unsigned _max_length)
| Constructor.
virtual std::string | className () const
| the ckassname
virtual | ~eoStSubtreeXOver ()
| Dtor.
bool | operator() (EoType &_eo1, EoType &_eo2)
| Perform crossover on two individuals param _eo1 The first parent individual param _eo2 The second parent individual.
## Private Attributes
unsigned | max_length

## Detailed Description

### template<class FType, class Node>
class eoStSubtreeXOver< FType, Node >

eoStSubtreeXOver --> subtree xover for strongly typed tree-based genetic programming

Definition at line 56 of file eoStParseTreeOp.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoStSubtreeXOver< FType, Node >::eoStSubtreeXOver | ( | unsigned | _max_length | ) | `[inline]`

  | Constructor. Parameters:
  | _max_length | the maximum size of an individual
Definition at line 64 of file eoStParseTreeOp.h.

The documentation for this class was generated from the following file:

- eoStParseTreeOp.h